"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactGoogleMaps = require("react-google-maps");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var defaultProps = {
  path: [{
    lat: -19.9322014,
    lng: -43.9246216
  }],
  options: {
    fillColor: '#ee430e',
    strokeColor: '#ee430e',
    strokeWeight: 1,
    fillOpacity: .3,
    strokeOpacity: .5
  }
};

var MapPolygon =
/*#__PURE__*/
function (_Component) {
  _inherits(MapPolygon, _Component);

  function MapPolygon() {
    _classCallCheck(this, MapPolygon);

    return _possibleConstructorReturn(this, _getPrototypeOf(MapPolygon).apply(this, arguments));
  }

  _createClass(MapPolygon, [{
    key: "render",
    value: function render() {
      var _this = this;

      var _this$props = this.props,
          draggable = _this$props.draggable,
          editable = _this$props.editable,
          path = _this$props.path,
          onEdit = _this$props.onEdit,
          options = _this$props.options,
          removeMarker = _this$props.removeMarker,
          _onMouseOut = _this$props.onMouseOut,
          _onMouseOver = _this$props.onMouseOver,
          _onClick = _this$props.onClick;
      return _react.default.createElement(_react.Fragment, null, _react.default.createElement(_reactGoogleMaps.Polygon, {
        draggable: draggable,
        editable: editable,
        ref: function ref(polygon) {
          return _this.polygon = polygon;
        },
        path: path,
        onMouseUp: function onMouseUp() {
          return _this.polygon && onEdit && onEdit(_this.polygon.getPath());
        },
        options: options,
        onClick: function onClick() {
          return _onClick && _onClick();
        },
        onMouseOut: function onMouseOut() {
          return _onMouseOut && _onMouseOut();
        },
        onMouseOver: function onMouseOver() {
          return _onMouseOver && _onMouseOver();
        }
      }), !removeMarker && _react.default.createElement(_reactGoogleMaps.Marker, {
        position: path[0],
        visible: false
      }));
    }
  }]);

  return MapPolygon;
}(_react.Component);

MapPolygon.defaultProps = defaultProps;
var _default = MapPolygon;
exports.default = _default;