"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var Visibility = function Visibility(_ref) {
  var hideIf = _ref.hideIf,
      showIf = _ref.showIf,
      unmount = _ref.unmount,
      children = _ref.children;

  if (unmount) {
    return hideIf === false || showIf === true ? _react.default.createElement(_react.Fragment, null, children) : null;
  } else {
    return hideIf === false || showIf === true ? _react.default.createElement(_react.Fragment, null, children) : _react.default.createElement("div", {
      style: {
        display: 'none'
      }
    }, children);
  }
};

var _default = Visibility;
exports.default = _default;